package com.tanpu.feo.feojob.service.impl;

import java.util.ArrayList;
import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tanpu.feo.feojob.dto.DepartmentEmployeeDTO;
import com.tanpu.feo.feojob.entity.DepartmentEntity;
import com.tanpu.feo.feojob.entity.DepartmentEmployeeEntity;
import com.tanpu.feo.feojob.mapper.DepartmentEmployeeMapper;
import com.tanpu.feo.feojob.service.DepartmentEmployeeService;
import com.tanpu.feo.feojob.web.entity.BaseEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.extern.slf4j.Slf4j;

import cn.hutool.core.bean.BeanUtil;

/**
 * 部门员工关系表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("departmentEmployeeService")
@Slf4j
public class DepartmentEmployeeServiceImpl implements DepartmentEmployeeService {

	@Autowired
	private DepartmentEmployeeMapper departmentEmployeeMapper;


	@Override
	public DepartmentEmployeeDTO selectById(String id) {
		DepartmentEmployeeEntity departmentEmployee = departmentEmployeeMapper.selectById(id);
		return BeanUtil.toBean(departmentEmployee, DepartmentEmployeeDTO.class);
	}

	@Override
	public List<DepartmentEmployeeDTO> selectListByObject(DepartmentEmployeeDTO departmentEmployeeDTO) {
		DepartmentEmployeeEntity departmentEmployee = BeanUtil.toBean(departmentEmployeeDTO, DepartmentEmployeeEntity.class);
		QueryWrapper queryWrapper = new QueryWrapper<>(departmentEmployee);
		List<DepartmentEmployeeEntity> departmentEmployeeList = departmentEmployeeMapper.selectList(queryWrapper);
		List<DepartmentEmployeeDTO> departmentEmployeeDtoList = new ArrayList<>();
		departmentEmployeeList.forEach(departmentEmployeeEntity -> {
			departmentEmployeeDtoList.add(BeanUtil.toBean(departmentEmployeeEntity, DepartmentEmployeeDTO.class));
		});
		return departmentEmployeeDtoList;
	}

	@Override
	public List<DepartmentEmployeeEntity> findInfoByOrgId(String orgId) {
		return departmentEmployeeMapper.selectList(Wrappers.lambdaQuery(DepartmentEmployeeEntity.class).eq(DepartmentEmployeeEntity::getOrgId, orgId).eq(DepartmentEmployeeEntity::getDeleteTag, "0"));
	}
}
