package com.tanpu.feo.feojob.service.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tanpu.feo.feojob.entity.JyzyUserInfoEntity;
import com.tanpu.feo.feojob.mapper.JyzyUserInfoMapper;
import com.tanpu.feo.feojob.service.JyzyUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Service("JyzyUserInfoService")
@Slf4j
@DS("z_user")
public class JyzyUserInfoServiceImpl implements JyzyUserInfoService {

	@Autowired
	private JyzyUserInfoMapper JyzyUserInfoMapper;

	@Override
	public List<JyzyUserInfoEntity> getUserListByOrgId(String orgId) {
		LambdaQueryWrapper<JyzyUserInfoEntity> queryWrapper = Wrappers.lambdaQuery(JyzyUserInfoEntity.class).eq(JyzyUserInfoEntity::getOrgId, orgId)
				.eq(JyzyUserInfoEntity::getDeletetag, "0").ne(JyzyUserInfoEntity::getUiShenfen, 2);
		return JyzyUserInfoMapper.selectList(queryWrapper);
	}
}