package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.feo.feojob.entity.OrgEntity;
import com.tanpu.feo.feojob.mapper.OrgMapper;
import com.tanpu.feo.feojob.service.OrgService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("orgService")
@Slf4j
public class OrgServiceImpl implements OrgService {

	@Autowired
	private OrgMapper orgMapper;

	@Override
	public OrgEntity findById(String orgId) {
		OrgEntity org = orgMapper.selectById(orgId);
		return org;
	}

	@Override
	public OrgEntity findByOrgCode(String feoOrgCode) {
		return orgMapper.selectOne(new LambdaQueryWrapper<>(OrgEntity.class).eq(OrgEntity::getOrgCode, feoOrgCode).eq(OrgEntity::getDeleteTag, "0"));
	}
}
