package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.tanpu.feo.feojob.entity.RoleEntity;
import com.tanpu.feo.feojob.mapper.RoleMapper;
import com.tanpu.feo.feojob.service.RoleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 角色信息表ServiceImp
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Service("roleService")
@Slf4j
public class RoleServiceImpl implements RoleService {

	@Autowired
	private RoleMapper roleMapper;


	@Override
	public Map<String, String> findInfoNoAdmin() {
		List<RoleEntity> roleEntityList = roleMapper.selectList(Wrappers.lambdaQuery(RoleEntity.class).eq(RoleEntity::getDeleteTag, "0"));
		Map<String, String> roleMap = roleEntityList.stream().collect(Collectors.toMap(RoleEntity::getType, RoleEntity::getRoleId));
		return roleMap;
	}
}
